<?php 
  
ECHO "<div class='panel-desktop-vidget'>";

ECHO "<div class='panel-desktop-vidget-title red-dvt'>";
ECHO LG('Безопасность');
ECHO "</div>";  

ECHO "<div class='panel-desktop-vidget-content'>";

ECHO "<div class='panel-desktop-info'>";
ECHO "<font size='+1' color='white'><b>".LG('Доступ к панели')."</b></font><br /><br />";
ECHO "<b>".LG('Доступ имеют').":</b> ";

$count = DB::GET_COLUMN("SELECT COUNT(*) FROM `USERS` WHERE `MANAGEMENT` = '1'");

IF ($count == 0){ 
  
  ECHO LG('никто');

}

$s = 0;

$data = DB::GET_STRING_ALL("SELECT * FROM `USERS` WHERE `MANAGEMENT` = '1' ORDER BY `DATE_VISIT` DESC");

WHILE ($list = $data->FETCH()){
  
  $s++;
  
  IF ($s == 1){
    
    ECHO "<a load='none' href='/id".$list['ID']."'>".$list['LOGIN']."</a>";
    
  }
  
  IF ($s >= 2 && $s <= 6){
    
    ECHO ", <a load='none' href='/id".$list['ID']."'>".$list['LOGIN']."</a>";
    
  }
  
}

IF ($s >= 7 && $s <= 8){
  
  ECHO " ...<br /><br />";
  ECHO "<a href='?path=system&section=security' class='panel-button'>".ICONS('navicon', 15, 'fa-fw')." ".LG('Весь список')."</a> ";
    
}

IF ($s >= 0 && $s <= 7){
  
  ECHO "<br /><br />";
    
}

ECHO "<a href='?path=site&section=us_add' class='panel-button'>".ICONS('plus', 15, 'fa-fw')." ".LG('Добавить')."</a>";

ECHO "</div>";

ECHO "<div class='panel-desktop-info'>";
ECHO "<font size='+1' color='white'><b>".LG('Режим доступа')."</b></font>";
ECHO "<a href='?path=system&section=security' class='panel-button' style='float: right;'>";
ECHO ICONS('pencil', 15, 'fa-fw')."</a>";
ECHO "<br /><br />";

IF (CONFIG('PASSWORD') > NULL){
  
  ECHO "<font color='#FAC3BE'>".ICONS('lock', 15)." <b>".LG('Установлен пароль')."</b></font><br /><br />";
  
}

IF (CONFIG('ACCESS') == 1){
  
  $access = LG('Свободный');
  
}ELSE{
  
  $access = LG('Проверка IP');

}

ECHO "<b>".LG('Доступ').":</b> ".$access."<br />";
IF (CONFIG('ACCESS') == 2){ ECHO "<b>".LG('Ваш текущий IP').":</b> ".IP.""; }
ECHO "</div>";
ECHO "</div>";

ECHO "</div>";

?>